Skip to main content
Interfaces / Vehicle Data

Get JATO vehicle data import status

This method requires the VehicleData:ImportJato permission to be associated with your role.

GET
/qt/interface/vehicle-data/jato/{import_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
import_idstringrequired

Import Id obtained from JATO vehicle data import request

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

completed_atstring
country_codestring
Maximum string length: 2
Example: AU
deactivated_countinteger
Example: 20
discovery_filestring
Example: s3://catch-e-api-table-imports/dev/100000/jato-imports/123456/discovery.json
error_messagestring
Maximum string length: 65535
failed_countinteger
Example: 5
import_idstring
Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Example: 123456
inserted_countinteger
Example: 300
instances_fetchedinteger
Example: 180
instances_foundinteger
Example: 200
listing_filestring
Example: s3://catch-e-api-table-imports/dev/100000/jato-imports/123456/listing.json
localestring
Maximum string length: 10
Example: en-AU
started_atstring
statusenum<string>
Available options: pending, discovering, discovered, fetching, staged, importing, completed, failed
updated_countinteger
Example: 150